%global uuid pomodoro@arun.codito.in
%global gittag 656e06434559f52d1e473b87bac8385ff6f192fb

Name:           gnome-shell-extension-pomodoro
Version:        0.11.0
Release:        0.1.git656e0643%{?dist}
Summary:        A time management utility for GNOME

License:        GPLv3+
URL:            https://github.com/codito/gnome-shell-pomodoro
Source0:        https://github.com/codito/gnome-shell-pomodoro/archive/%{gittag}.tar.gz

BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  vala-tools
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gom-1.0)
BuildRequires:  pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(upower-glib)

Requires:       gnome-shell >= 3.14.0
Requires:       hicolor-icon-theme


%description
This GNOME utility helps to manage time according to Pomodoro Technique.
It intends to improve productivity and focus by taking short breaks.

%prep
%setup -q -n gnome-shell-pomodoro-%{gittag}

%build
./autogen.sh --prefix=%{_prefix}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang gnome-pomodoro

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.Pomodoro.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f gnome-pomodoro.lang
%doc README.md COPYING NEWS
%{_bindir}/gnome-pomodoro
%{_datadir}/gnome-pomodoro
%{_datadir}/appdata/org.gnome.Pomodoro.appdata.xml
%{_datadir}/applications/org.gnome.Pomodoro.desktop
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/glib-2.0/schemas/org.gnome.pomodoro.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Pomodoro.service

%changelog
* Mon Sep 29 2014 Mat Booth <mat.booth@redhat.com> - 0.11.0-0.1.git656e0643
- Update to git snapshot of 0.11.0 for gnome 3.14 support

* Mon Sep 29 2014 Mat Booth <mat.booth@redhat.com> - 0.10.2-1
- Update to upstream version 0.10.2

* Mon Aug 18 2014 Kalev Lember <kalevlember@gmail.com> - 0.10.0-6
- Rebuilt for upower 0.99.1 soname bump

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Mat Booth <fedora@matbooth.co.uk> - 0.10.0-3
- Rebuilt for new gnome

* Thu Feb 13 2014 Mat Booth <fedora@matbooth.co.uk> - 0.10.0-2
- Extra BRs required on F21

* Tue Feb 11 2014 Mat Booth <fedora@matbooth.co.uk> - 0.10.0-1
- Update to upstream version 0.10.0
- Require gnome-shell 3.10
- gnome-pomodoro is no longer a noarch package

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 21 2013 Mat Booth <fedora@matbooth.co.uk> - 0.8-1
- Update to upstream version 0.8
- Require gnome-shell 3.8

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 17 2013 Mat Booth <fedora@matbooth.co.uk> - 0.7-1
- Update to upstream version 0.7
- Require gnome-shell 3.6

* Mon Nov 19 2012 Mat Booth <fedora@matbooth.co.uk> - 0.6-1
- Update to upstream version 0.6
- Require gnome-shell 3.4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.gitdf98ce0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.4.gitdf98ce0
- Updated to new upstream version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git13030cd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Fabian Affolter <fabian@bernewireless.net> - 0-0.2.git13030cd
- License is GPLv3+
- COPYING file added

* Thu Jun 02 2011 Fabian Affolter <fabian@bernewireless.net> - 0-0.1.git286a249
- Initial package for Fedora
